import { Plugin, PluginFactory, PluginManifest, PluginModules } from "@web3api/core-js";
export interface GraphNodeConfig {
    provider: string;
}
export declare class GraphNodePlugin extends Plugin {
    private _config;
    constructor(_config: GraphNodeConfig);
    static manifest(): PluginManifest;
    getModules(): PluginModules;
    query(subgraphId: string, query: string): Promise<string>;
}
export declare const graphNodePlugin: PluginFactory<GraphNodeConfig>;
export declare const plugin: PluginFactory<GraphNodeConfig>;
